Plesk\backup\Agent\Schema\Backup\Fail2ban\Fail2banAType:
    properties:
        version:
            expose: true
            access_type: public_method
            serialized_name: version
            accessor:
                getter: getVersion
                setter: setVersion
            xml_attribute: true
            type: string
        enabled:
            expose: true
            access_type: public_method
            serialized_name: enabled
            accessor:
                getter: getEnabled
                setter: setEnabled
            xml_attribute: true
            type: string
        content:
            expose: true
            access_type: public_method
            serialized_name: content
            xml_element:
                cdata: false
            accessor:
                getter: getContent
                setter: setContent
            type: Plesk\backup\Agent\Schema\Backup\Content
        descriptions:
            expose: true
            access_type: public_method
            serialized_name: descriptions
            xml_element:
                cdata: false
            accessor:
                getter: getDescriptions
                setter: setDescriptions
            type: array<Plesk\backup\Agent\Schema\Backup\IpDescriptionType>
            xml_list:
                inline: false
                entry_name: ip
                skip_when_empty: true
        bannedIps:
            expose: true
            access_type: public_method
            serialized_name: banned-ips
            xml_element:
                cdata: false
            accessor:
                getter: getBannedIps
                setter: setBannedIps
            type: array<Plesk\backup\Agent\Schema\Backup\BannedIp>
            xml_list:
                inline: false
                entry_name: banned-ip
                skip_when_empty: true
